Name:           hawknl
Version:        1.68
Release:        6%{?dist}
Summary:        Game oriented network library
Group:          System Environment/Libraries
License:        LGPLv2+ 
URL:            http://www.hawksoft.com/hawknl/
Source0:        http://www.sonic.net/~philf/download/HawkNL168src.tar.gz
Patch0:         hawknl-64bit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
HawkNL is a free, open source, game oriented network API released under the 
GNU LGPL. HawkNL (NL) is a fairly low level API, a wrapper over Berkeley/Unix
Sockets and Winsock. But NL also provides other features.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}%{version}
%patch0 -p1 -z .64bit
# some fixups
sed -i 's|ln -s $(LIBDIR)/$(OUTPUT)|ln -s $(OUTPUT)|g' src/makefile.linux
sed -i 's|-soname,NL.so|-soname,libNL.so|' src/makefile.linux
sed -i 's|\r||g' src/readme.txt src/nlchanges.txt


%build
make %{?_smp_mflags} -f makefile.linux \
  OPTFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/%{name}
make -f makefile.linux install LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
  INCDIR=$RPM_BUILD_ROOT%{_includedir}/%{name}
# some cleanup
rm $RPM_BUILD_ROOT%{_libdir}/libNL.a $RPM_BUILD_ROOT%{_libdir}/NL.so \
  $RPM_BUILD_ROOT%{_libdir}/libNL.so.1


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc src/readme.txt src/nlchanges.txt
%{_libdir}/libNL.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/libNL.so


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.68-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.68-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.68-4
- fix license tag

* Wed Feb 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.68-3
- Fix building with latest glibc (define _GNU_SOURCE)
- Rebuild for gcc-4.3

* Tue Aug  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.68-2
- Update License tag for new Licensing Guidelines compliance

* Mon Mar 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.68-1
- Initial FE package
